package com.ruoyi.tc.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.tc.entity.po.AssetBasicNetworkCpPo;
import com.ruoyi.tc.entity.po.AssetBusinessFormCpPo;

import java.util.List;

/**
 * 资产基础网络复制表(asset_basic_network)表服务接口
 *
 * @author makejava
 * @since 2024-11-15 16:05:26
 */
public interface AssetBasicNetworkCpService extends IService<AssetBasicNetworkCpPo> {

    /**
     * 根据资产id资产供应链原有id
     *
     * @param assetId 资产id
     * @return
     */
    List<AssetBasicNetworkCpPo> findByassetId(Long assetId);



    /**
     * 根据资产id和任务id删除数据
     *
     * @param assetId 资产id
     * @param taskId  任务id
     */
    void deletByAssetIdandTaskId(Long assetId, Integer  taskId);


    /**
     * 根据taskid查询查询数据
     *
     * @param taskId 任务id
     * @return
     */
    List<AssetBasicNetworkCpPo> findByTaskId(int taskId);
}
