package com.ruoyi.tc.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.tc.entity.po.AssetMiniProgramsJyPo;
import com.ruoyi.tc.entity.request.AssetAuditPageRequest;
import com.ruoyi.tc.mapper.AssetMiniProgramsCpMapper;
import com.ruoyi.tc.mapper.AssetMiniProgramsJyMapper;
import com.ruoyi.tc.service.AssetMiniProgramsJyService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * 小程序资产(asset_mini_programs_cp)表服务实现类
 *
 * @author makejava
 * @since 2024-11-28 17:13:07
 */
@Service("assetMiniProgramsJyService")
public class AssetMiniProgramsJyServiceImpl extends ServiceImpl<AssetMiniProgramsJyMapper, AssetMiniProgramsJyPo> implements AssetMiniProgramsJyService {


    /**
     * 分页查询管理端或者单位端审核列表
     *
     * @param as 查询实体
     * @return 所有数据
     */
    @Override
    public Page<AssetMiniProgramsJyPo> getAuditList(Page<AssetMiniProgramsJyPo> page, AssetAuditPageRequest as) {
        return baseMapper.getAuditList(page, as);
    }
}
