package com.ruoyi.tc.entity.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 管理端审核列表分页请求体
 * @author du
 * @since 2024/12/23 14:45
 */
@Data
public class AssetAuditPageRequest {

    @ApiModelProperty("页码")
    private Long current=1L;

    @ApiModelProperty("页数")
    private Long size=10L;

    /**
     * 资产名称
     */
    @ApiModelProperty("资产名称")
    private String name;

    /**
     * 审核状态
     */
    @ApiModelProperty("审核状态")
    private String auditState;

    /**
     * 单位名称
     */
    @ApiModelProperty("单位名称")
    private String dwmc;
}
