package com.ruoyi.tc.entity.response;

import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author du
 * @since 2024/12/29 18:36
 */
@Data
@ApiModel("单位密码导出")
public class AssetSysUserExport {

    /**
     * 用户id
     */
    @ApiModelProperty("用户id")
    private String userId;

    /**
     * 统一社会信用代码
     */
    @Excel(name = "统一社会信用代码")
    @ApiModelProperty("统一社会信用代码")
    private String userName;


    /**
     * 单位名称
     */
    @Excel(name = "单位名称")
    @ApiModelProperty("单位名称")
    private String nickName;

    /**
     * 密码
     */
    @Excel(name = "密码")
    private String password;
}
