package com.ruoyi.tc.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.tc.entity.po.AssetBasicNetworkCpPo;
import com.ruoyi.tc.mapper.AssetBasicNetWorkCpMapper;
import com.ruoyi.tc.service.AssetBasicNetworkCpService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 资产基础网络复制表(AssetBasicNetworkCpResponse)表服务实现类
 *
 * @author makejava
 * @since 2024-11-15 16:05:26
 */
@Service("assetBasicNetworkCpService")
public class AssetBasicNetworkCpServiceImpl extends ServiceImpl<AssetBasicNetWorkCpMapper, AssetBasicNetworkCpPo> implements AssetBasicNetworkCpService {

    @Resource
    private AssetBasicNetWorkCpMapper assetBasicNetWorkCpMapper;

    @Override
    public List<AssetBasicNetworkCpPo> findByassetId(Long assetId) {
        return assetBasicNetWorkCpMapper.findByassetId(assetId);
    }

    @Override
    public void deletByAssetIdandTaskId(Long assetId, Integer taskId) {
         assetBasicNetWorkCpMapper.deletByAssetIdandTaskId(assetId, taskId);
    }

    @Override
    public List<AssetBasicNetworkCpPo> findByTaskId(int taskId) {
        return assetBasicNetWorkCpMapper.findByTaskId(taskId);
    }


}
